Skip to content

Delete organization

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If this document description is incorrect, please refer to V3 API.

Delete the organization tree by organization code.

Method name

ManagementClient.delete_organization

Request parameters

NameTypeIs it requiredDefault valueDescriptionSample value
organizationCodestringyes-Organization codesteamory
tenantIdstringno-Tenant ID623c20b2a062aaaaf41b17da

Request Response

Type: IsSuccessRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful requests are not returned). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. This is returned when the request fails.
data<a IsSuccessDtoWhether the operation is successful

Sample result:

json
{
  "statusCode": 200,
  "message": "Success",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "success": true
  }
}

Data Structure

IsSuccessDto

NameTypeIs it requiredDescriptionExample value
successbooleanyesWhether the operation was successfultrue

Agent infrastructure for identity, memory, and web action.